import os

from setuptools import setup

PROJECT_ROOT, _ = os.path.split(__file__)
PROJECT_NAME = 'file_groups'
COPYRIGHT = u"Copyright (c) 2018 - 2020 Lars Hupfeldt Nielsen, Hupfeldt IT"
PROJECT_AUTHORS = u"Lars Hupfeldt Nielsen"
PROJECT_EMAILS = 'lhn@hupfeldtit.dk'
PROJECT_URL = "Yes"
SHORT_DESCRIPTION = "Yes"
LONG_DESCRIPTION = "Yes"


if __name__ == "__main__":
    setup(
        name=PROJECT_NAME.lower(),
        version='0.0.1',
        author=PROJECT_AUTHORS,
        author_email=PROJECT_EMAILS,
        packages=['file_groups'],
        package_dir={'file_groups': 'src'},
        zip_safe=False,
        python_requires='>=3.7',
        install_requires=[],
        url=PROJECT_URL,
        description=SHORT_DESCRIPTION,
        long_description=LONG_DESCRIPTION,
        long_description_content_type='text/x-rst',
        license='BSD',
        classifiers=[
            'Development Status :: 4 - Beta',
            'Intended Audience :: Developers',
            'License :: OSI Approved :: BSD License',
            'Natural Language :: English',
            'Operating System :: OS Independent',
            'Programming Language :: Python :: 3.7',
            'Programming Language :: Python :: 3.8',
            'Topic :: Software Development :: Libraries',
        ],
    )
